    <?php
    if (post_password_required()) {
      echo '<article><div class="article"><div id="comments">'
         . '<p class="nopassword">' . __('This post is password protected. Enter the password to view any comments.','kippis') . '</p>'
         . '</div></div></article>';
      return;
    }
    if (have_comments()) {
      echo '<article><div class="article"><div id="comments">';
      echo '<h2 id="comments-title">';
      printf(_n('One thought on &ldquo;%2$s&rdquo;','%1$s thoughts on &ldquo;%2$s&rdquo;',get_comments_number(),'kippis'),number_format_i18n(get_comments_number()),'<span>' . get_the_title() . '</span>');
      echo '</h2>';
      if (get_comment_pages_count() > 1 && get_option('page_comments')) {
        echo '<div id="comment-nav-above">'
           .   '<div class="nav-previous">' . get_previous_comments_link(__('&larr; Older Comments','kippis')) . '</div>'
           .   '<div class="nav-next">'     .     get_next_comments_link(__('Newer Comments &rarr;','kippis')) . '</div>'
           . '</div>';
      }
      echo '<ol class="commentlist">';
      wp_list_comments(array('callback' => 'kippis_comment'));
      echo '</ol>';
      if (get_comment_pages_count() > 1 && get_option('page_comments')) {
        echo '<div id="comment-nav-below">'
           .   '<div class="nav-previous">'  . get_previous_comments_link(__('&larr; Older Comments','kippis')) . '</div>'
           .   '<div class="nav-next">'      .     get_next_comments_link(__('Newer Comments &rarr;','kippis')) . '</div>'
           . '</div>';
      }
      else if (!comments_open() && !is_page() && post_type_supports(get_post_type(),'comments')) {
        echo '<p class="nocomments">' . __('Comments are closed.','kippis') . '</p>';
      }
      echo '</div></div></article>';
    }
    ?>
    <article>
      <div class="article">

        <?php
        $smilies_hilfe = get_option('use_smilies') != 1 ? '' : __('You can also use smilies:','kippis') . ' ' . str_replace(array('#',' $ '),array(' &nbsp; &nbsp; ','&nbsp;&rArr;&nbsp;'),convert_smilies('#:) $ :) #;) $ ;) #:D $ :D #:| $ :| #:( $ :( #:o $ :o #8O $ 8O #:? $ :? #8) $ 8) #:x $ :x #:P $ :P'));
        comment_form(array('comment_field'       => '<p class="comment-form-comment">'
                                                  . '<label for="comment"><span class="comment-form-label">' . __('Comment','kippis') . '</span></label>'
                                                  . '<textarea id="comment" name="comment" aria-required="true"></textarea>'
                                                  . '</p>'
                          ,'comment_notes_after' => '<a style="cursor:pointer;" onclick="jQuery(' . "'#kippis_help_comment_form_allowed_tags'" . ').toggle();">' . __('Help','kippis') . '</a>'
                                                  . '<p id="kippis_help_comment_form_allowed_tags" class="form-allowed-tags" style="display:none;">'
                                                  . sprintf(__('You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s','kippis'),' <code>' . allowed_tags() . '</code>')
                                                  . $smilies_hilfe
                                                  . '</p>'
                                                  ));
        ?>
      </div>
    </article>

